;;; cl-scopes/test/config-postgres.lisp
;;; use: `(load "test/...")` from package scopes/test-storage

(in-package :scopes/test-storage)

(defvar postgres-connect-args
  '(:database-name "cltest" :host "localhost" :port 5432
    :username "testuser" :password "secret"))

(config:root :env-keys '(db-name db-user db-password))

(config:add :storage :class 'storage:config :setup #'storage:setup
            :db-type :postgres
            :connect-args postgres-connect-args)
