;;; cl-scopes/test/config-sqlite.lisp
;;; use: `(load "test/...")` from package scopes/test-storage

(in-package :scopes/test-storage)

(defvar sqlite-connect-args
  (list :database-name (namestring (scopes/testing:test-path "test.db" "data"))))

(config:root :env-keys '(db-name))

(config:add :storage :class 'storage:config :setup #'storage:setup
            :db-type :sqlite3
            :connect-args sqlite-connect-args)
